Bug 351331 - i386 and x86_64 packages mixed on CD causing RPM DB issues
i386 and x86_64 packages mixed on CD causing RPM DB issues
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 16:48 EDT by George Toft
Modified: 2008-02-20 18:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 18:17:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George Toft 2007-10-24 16:48:58 EDT
Description of problem:
i386 and x86_64 packages are included on the CD's.  This causes problems in the 
rpm database where the packages cannot be removed via kickstart.  Related KD 
article: http://kbase.redhat.com/faq/FAQ_80_7582.shtm.  

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server 5
x86_64


How reproducible:
Always.

Steps to Reproduce:
1.  Install minimal system via kickstart with no additional packages.
2.  Specify packages to be removed in %packages section of kickstart file.
3.  Build server using kickstart file
  
Actual results:
Some of the packages that was supposed to be removed is present.  There are 
actually two packages installed - an i386 version and an x86_64 version.

Expected results:
Package that was supposed to be removed is not installed.


Additional info:

*** Workaround ***
Use the RPM invocation in the KB (http://kbase.redhat.com/faq/FAQ_80_7582.shtm) 
to extract version numbers and remove packages after installation.  See example 
below.  This takes away the power of the %packages ability of kickstart.  We 
should be able to define packages that we want removed during build time and 
not have to write scripts to remove packages because multiple architecture 
packages are simultaneously installed.

Line added to %post:
rpm -qa --queryformat %{NAME}-%{VERSION}.%{ARCH}\\n | 
egrep "packages|to|delete" | xargs rpm -e
Comment 1 Panu Matilainen 2008-02-07 14:03:14 EST
This is a kickstart/anaconda, not rpm issue. Reassigning...
Comment 2 Chris Lumens 2008-02-16 12:18:00 EST
Please attach your kickstart file (you can remove sensitive information if
present, just as long as we can see the %packages and whatever scripts you are
using to manipulate the packages) to this bug report.
Comment 3 George Toft 2008-02-20 17:34:03 EST
Did not keep old ks file.  Unable to reproduce -- it worked fine today.

Note You need to log in before you can comment on or make changes to this bug.